KoriePay API Reference
The KoriePay API is organized around REST. Our API has predictable resource-oriented URLs, accepts form-encoded request bodies, returns JSON-encoded responses, and uses standard HTTP response codes, authentication, and verbs.
Authentication
Authenticate your API calls by including your secret key in the Authorization header of every request. You can manage your API keys in the Developer Dashboard.
Keep it secret: Your API keys carry many privileges, so be sure to keep them secure! Do not share your secret API keys in publicly accessible areas such as GitHub, client-side code, and so forth.
All API requests must be made over HTTPS. Calls made over plain HTTP will fail. API requests without authentication will also fail.
Initiate Cross-Border Transfer
This endpoint allows you to move liquidity instantly from an NGN wallet to an XOF destination. The system will auto-calculate the exchange rate based on the real-time institutional oracle.
Endpoint
Parameters
-
amountinteger RequiredAmount to transfer in the lowest denomination (e.g., kobo or centimes).
-
recipient_currencystring RequiredThe 3-letter ISO code for the destination currency (e.g.,
XOF).
curl https://api.koriepay.com/v1/transfers \
-H "Authorization: Bearer sk_test_4eC39Hq..." \
-H "Content-Type: application/json" \
-d '{
"amount": 10000000,
"recipient_currency": "XOF",
"recipient_account": "22790123456"
}'
<?php
$korie = new \KoriePay\Client('sk_test_4eC...');
$transfer = $korie->transfers->create([
'amount' => 10000000,
'recipient_currency' => 'XOF',
'recipient_account' => '22790123456'
]);
const koriepay = require('koriepay')('sk_test_4eC...');
const transfer = await koriepay.transfers.create({
amount: 10000000,
recipient_currency: 'XOF',
recipient_account: '22790123456'
});
{
"status": true,
"message": "Transfer initiated",
"data": {
"reference": "trx_983hf9f...",
"amount": 10000000,
"settlement_amount": 4850000,
"currency": "XOF",
"status": "processing"
}
}